- Qt 5.15
- Qt Widgets
- C++ Classes
- QWidget
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QWidget

The following members of class QWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` windowIconText : QString

## Public Functions

`(obsolete)` void | getContentsMargins(int *left, int *top, int *right, int *bottom) const
`(obsolete)` bool | isEnabledToTLW() const
`(obsolete)` bool | isTopLevel() const
`(obsolete)` void | setWindowIconText(const QString &)
`(obsolete)` QWidget * | topLevelWidget() const
`(obsolete)` QString | windowIconText() const

## Signals

`(obsolete)` void | windowIconTextChanged(const QString &iconText)

## Property Documentation

### windowIconText : QString

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property holds the text to be displayed on the icon of a minimized window

This property only makes sense for windows. If no icon text has been set, this accessor returns an empty string. It is only implemented on the X11 platform, and only certain window managers use this window property.

This property is deprecated.

Access functions:

QString | windowIconText() const
void | setWindowIconText(const QString &)

Notifier signal:

void | windowIconTextChanged(const QString &iconText)

See also windowIcon and windowTitle.

## Member Function Documentation

### `[signal]` void QWidget::windowIconTextChanged(const QString &iconText)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This signal is emitted when the window's icon text has changed, with the new iconText as an argument.

This signal is deprecated.

Note: Notifier signal for property windowIconText.

This function was introduced in Qt 5.2.

### void QWidget::getContentsMargins(int *left, int *top, int *right, int *bottom) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use contentsMargins().

Returns the widget's contents margins for left, top, right, and bottom.

See also setContentsMargins() and contentsRect().

### bool QWidget::isEnabledToTLW() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. It is equivalent to isEnabled()

### bool QWidget::isTopLevel() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use isWindow() instead.

### QWidget *QWidget::topLevelWidget() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use window() instead.